diff --git a/initd/early.c b/initd/early.c
index 709f1b8..c82c1e2 100644
--- a/initd/early.c
+++ b/initd/early.c
@@ -109,8 +109,8 @@ early_mounts(void)
 	unsigned int oldumask = umask(0);
 
 	if (!is_container()) {
-		mount("proc", "/proc", "proc", MS_NOATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, NULL);
-		mount("sysfs", "/sys", "sysfs", MS_NOATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, NULL);
+		mount("proc", "/proc", "proc", MS_RELATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, NULL);
+		mount("sysfs", "/sys", "sysfs", MS_RELATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, NULL);
 		mount("efivars", "/sys/firmware/efi/efivars", "efivarfs", MS_NOATIME | MS_NODEV | MS_NOEXEC | MS_NOSUID, NULL);
 		LOG("Attempting to mount cgroups (tmpfs + controller subdirs)\n");
 		mount("cgroup2", PATH_CGROUP, "tmpfs", MS_NODEV | MS_NOEXEC | MS_NOSUID, "size=512K");
